/* File: MoonlightVector.cpp
 *
 * Some simple code to play around with vectors and parameter passing.
 */
#include <iostream>
#include <string>
#include "vector.h"
#include "console.h"
using namespace std;

/* Prints out all the characters in a movie. Note the use of pass-by-const-reference
 * so that we don't copy the Vector, but can't modify it either.
 */
void rollCredits(const Vector<string>& cast) {
    cout << "Characters: ";
    for (string character: cast) {
        cout << character << " ";
    }
    cout << endl;
}

/* Modifies the list according to the story. Notice that we're using a non-const
 * reference here so that we can make changes to the Vector.
 */
void growUp(Vector<string>& characters) {
    characters += "Paula";
    characters[0] = "Chiron";
}

int main() {
    Vector<string> moonlight = { "Little", "Teresa", "Kevin" };
    growUp(moonlight);
    rollCredits(moonlight);
    return 0;
}


